Subject: [Teas] WG Last Call on draft-ietf-teas-gmpls-lsp-fastreroute-07

From: Vishnu Pavan Beeram <[email-masked]>
Date: Sun, 5 Feb 2017 18:20:58 -0500

All,
This starts a two week working group last call on
draft-ietf-teas-gmpls-lsp-fastreroute-07.

The working group last call ends on Monday, Feb 20th. Please
send your comments to the TEAS mailing list.

As is always the case, positive comments, e.g., "I've reviewed this
document and believe it is ready for publication", are welcome!
This is useful and important, even from authors.

Note, IPR has been disclosed on this draft.

Thanks,
Pavan and Lou

---

From: "Rakesh Gandhi (rgandhi)" <[email-masked]>
Date: Mon, 6 Feb 2017 13:20:10 +0000

Hi WG, Chairs,

I've reviewed this document and believe it is ready for publication.

Thanks,

Rakesh (as a co-author)

From: Teas <[email-masked]> on behalf of Vishnu Pavan Beeram <[email-masked]>
Date: Sunday, February 5, 2017 at 6:20 PM
To: "[email-masked]" <[email-masked]>
Cc: TEAS WG Chairs <[email-masked]>
Subject: [Teas] WG Last Call on draft-ietf-teas-gmpls-lsp-fastreroute-07

All,

Thanks,
Pavan and Lou

---

From: "Tarek Saad (tsaad)" <[email-masked]>
Date: Mon, 6 Feb 2017 13:42:48 +0000

Hi all,

I’ve reviewed this document and believe it is ready for publication.

Regards,
Tarek (as co-author)

All,

Thanks,
Pavan and Lou

---

From: Lizhong Jin <[email-masked]>
Date: Tue, 7 Feb 2017 10:02:36 +0800

Hi,
I've reviewed this draft which has been stable. I believe it is ready for
publication.

Lizhong

On Mon, Feb 6, 2017 at 9:20 PM, Rakesh Gandhi (rgandhi) <[email-masked]>
wrote:

> *From: *Teas <[email-masked]> on behalf of Vishnu Pavan Beeram <
> [email-masked]>
> *Date: *Sunday, February 5, 2017 at 6:20 PM
> *To: *"[email-masked]" <[email-masked]>
> *Cc: *TEAS WG Chairs <[email-masked]>
> *Subject: *[Teas] WG Last Call on draft-ietf-teas-gmpls-lsp-fastreroute-07
>
>
>
> All,

---

From: Daniele Ceccarelli <[email-masked]>
Date: Tue, 7 Feb 2017 08:43:24 +0000

Hi all,

I believe the document is ready for publication, it is well written, easy to understand and fills a gap in GMPLS.

BR
Daniele

From: Teas <[email-masked]<mailto:[email-masked]>> on behalf of Vishnu Pavan Beeram <[email-masked]<mailto:[email-masked]>>
Date: Sunday, February 5, 2017 at 6:20 PM
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Cc: TEAS WG Chairs <[email-masked]<mailto:[email-masked]>>
Subject: [Teas] WG Last Call on draft-ietf-teas-gmpls-lsp-fastreroute-07

All,

Thanks,
Pavan and Lou

---

From: "Mike Taillon (mtaillon)" <[email-masked]>
Date: Tue, 7 Feb 2017 15:07:31 +0000

Hi

Regards,
Mike (as co-author)

On Feb 5, 2017, at 6:20 PM, Vishnu Pavan Beeram <[email-masked]<mailto:[email-masked]>> wrote:

All,

Thanks,
Pavan and Lou
_______________________________________________
Teas mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/teas

---

From: "Adrian Farrel" <[email-masked]>
Date: Wed, 8 Feb 2017 11:35:28 -0000

Pavan, All,
 
Thanks to the authors for a lot of work addressing my comments at the previous WG LC. Good job.
 
I see that I was having "a day" and typed "RFC 5750" when I meant "RFC 7570" <sigh>
 
My point was that 7570 introduces a generic object for use in EROs and RROs that can include TLVs for specific purposes. I don't believe you have to use that approach, but wondered by you introduced a new subobject instead.
 
Anyway, while that point is of academic interest, I don't think it blocks advancement. If the authors think it would be good to switch to a 5750 approach, I'd b supportive, but I don't think any change needs to be forced.
 
So, yes, "reviewed and ready."
 
Adrian
 
From: Teas [mailto:[email-masked]] On Behalf Of Vishnu Pavan Beeram
Sent: 05 February 2017 23:21
To: [email-masked]
Cc: TEAS WG Chairs
Subject: [Teas] WG Last Call on draft-ietf-teas-gmpls-lsp-fastreroute-07
 
All,

Thanks,
Pavan and Lou

---

From: "BHATIA, Manav (Nokia - IN)" <[email-masked]>
Date: Mon, 13 Feb 2017 15:53:46 +0000

Hi,

I support the publication of this document.

Thanks, Manav

Date: Monday, 6 February 2017 at 4:50 AM

All,

Thanks,
Pavan and Lou

---

From: "Zafar Ali (zali)" <[email-masked]>
Date: Thu, 16 Feb 2017 04:51:40 +0000

Hi-

Thanks

Regards … Zafar

From: Teas <[email-masked]> on behalf of "BHATIA, Manav (Nokia - IN)" <[email-masked]>
Date: Monday, February 13, 2017 at 10:53 AM
To: Vishnu Pavan Beeram <[email-masked]>, "[email-masked]" <[email-masked]>
Cc: TEAS WG Chairs <[email-masked]>
Subject: Re: [Teas] WG Last Call on draft-ietf-teas-gmpls-lsp-fastreroute-07

Hi,

Thanks, Manav

All,

Thanks,
Pavan and Lou

---

From: "Rakesh Gandhi (rgandhi)" <[email-masked]>
Date: Thu, 23 Feb 2017 16:25:11 +0000

Thank you Adrian for the thorough review of the document and the support.

We prefer to keep the current approach used in the document.

Since the FRR mechanisms defined are solely based on RRO, it wasn’t clear if the mechanisms in RFC 7570 can be used for RRO itself. It appeared the RFC 7570 is focusing on the ERO (the RFC title says ERO).

RFC 7570 - Label Switched Path (LSP) Attribute in the Explicit Route Object (ERO)

Thanks,
Rakesh (for authors and contributors)

From: Teas <[email-masked]> on behalf of Adrian Farrel <[email-masked]>
Reply-To: Adrian Farrel <[email-masked]>
Date: Wednesday, February 8, 2017 at 6:35 AM
To: 'Vishnu Pavan Beeram' <[email-masked]>, "[email-masked]" <[email-masked]>
Cc: 'TEAS WG Chairs' <[email-masked]>
Subject: Re: [Teas] WG Last Call on draft-ietf-teas-gmpls-lsp-fastreroute-07

Pavan, All,

Adrian

All,

Thanks,
Pavan and Lou

---

From: "Adrian Farrel" <[email-masked]>
Date: Thu, 23 Feb 2017 18:13:09 -0000

Hi Rakesh,
 
Like I said before, the point is of academic interest. I don't think any change needs to be forced.
 
Your reasoning given in your email is both good (the authors prefer to keep the current approach) and bad ("it wasn’t clear if the mechanisms in RFC 7570 can be used for RRO itself"). You quote the title of the RFC, but clearly you haven't read even as far as the Abstract:
 
   This
   document defines an extension to the RSVP Explicit Route Object (ERO)
   and Record Route Object (RRO) to allow them to specify or record
   generic attributes that apply to a given hop.
 
Section 3.2 describes the use of the generic attributes in an RRO.
 
It is OK to not want to use this mechanism. It is OK to answer the question of why you chose not to use it with "We weren't aware of the RFC and now we think it is too late," (although the WG might find that unacceptable), but it is not OK to say "We don't think the RFC is relevant based on its name and without reading it."
 
Adrian
 
From: Rakesh Gandhi (rgandhi) [mailto:[email-masked]] 
Sent: 23 February 2017 16:25
To: [email-masked]; 'Vishnu Pavan Beeram'; [email-masked]
Cc: 'TEAS WG Chairs'
Subject: Re: [Teas] WG Last Call on draft-ietf-teas-gmpls-lsp-fastreroute-07

 

Thanks,

Pavan, All,

 

 
Adrian

All,

Thanks,
Pavan and Lou

---

From: "Rakesh Gandhi (rgandhi)" <[email-masked]>
Date: Thu, 23 Feb 2017 18:52:44 +0000

Hi Adrian,

Your point is well taken. Yes, definitely need to go through the RFC before concluding.

Many thanks for your support.

Regards,
Rakesh

From: Adrian Farrel <[email-masked]>
Reply-To: Adrian Farrel <[email-masked]>
Date: Thursday, February 23, 2017 at 1:13 PM
To: "=SMTP:rgandhi@cisco. com" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Subject: RE: [Teas] WG Last Call on draft-ietf-teas-gmpls-lsp-fastreroute-07

Hi Rakesh,

   This

Adrian

Thanks,

Pavan, All,

Adrian

All,

Thanks,
Pavan and Lou

---

From: Vishnu Pavan Beeram <[email-masked]>
Date: Sat, 25 Feb 2017 21:45:30 -0500

This WG LC is closed.

There was some discussion during the LC on whether the HOP-Attributes RRO
sub-object can be used instead of the new BYPASS_ASSIGNMENT RRO sub-object.
The authors have stated their preference to stick with the new sub-object.
If anyone has any strong reservations about this, please do discuss it on
the mailing list.

In the meantime, we will go ahead and prepare the publication request for
this.

Regards,
- Pavan